package com.yonge.toolset.payment.base.model;

import com.yonge.toolset.payment.base.enums.OpenEnum;
import com.yonge.toolset.payment.base.enums.PayChannelEnum;
import com.yonge.toolset.payment.base.enums.PaymentClientEnum;
import com.yonge.toolset.payment.base.enums.TradeStatusEnum;

import java.io.Serializable;

/**
 * @Author: liweifan
 * @Data: 2022/5/11 16:12
 */
public class Base implements Serializable {
    /***
     * 支付服务提供方
     * @author liweifan
     * @updateTime 2022/3/31 11:01
     */
    private OpenEnum openType;
    /**
     * 付款应用
     */
    private PaymentClientEnum paymentClient;
    /***
     * 支付渠道
     * @author liweifan
     * @updateTime 2022/3/31 11:01
     */
    private PayChannelEnum payChannel;

    /***
     * 交易状态（返回）
     * @author liweifan
     * @updateTime 2022/3/31 11:01
     */
    private TradeStatusEnum status;

    public Base() {
    }

    public Base(OpenEnum openType, PaymentClientEnum paymentClient, PayChannelEnum payChannel) {
        this.openType = openType;
        this.paymentClient = paymentClient;
        this.payChannel = payChannel;
    }

    public OpenEnum getOpenType() {
        return openType;
    }

    public void setOpenType(OpenEnum openType) {
        this.openType = openType;
    }

    public PaymentClientEnum getPaymentClient() {
        return paymentClient;
    }

    public void setPaymentClient(PaymentClientEnum paymentClient) {
        this.paymentClient = paymentClient;
    }

    public PayChannelEnum getPayChannel() {
        return payChannel;
    }

    public void setPayChannel(PayChannelEnum payChannel) {
        this.payChannel = payChannel;
    }

    public TradeStatusEnum getStatus() {
        return status;
    }

    public void setStatus(TradeStatusEnum status) {
        this.status = status;
    }
}
